Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.s9api
Class TeeDestination

    java.lang.Object
      net.sf.saxon.s9api.TeeDestination

All Implemented Interfaces:
  Destination

    public class TeeDestination

extends Object
implements Destination

A TeeDestination allows writing to two destinations at once. For example the output of a transformation can be written simultaneously to a Serializer and to a second Transformation. By chaining together a number of TeeDestinations it is possible to write to any number of destinations at once.

Since:
  9.1

Constructor Summary
`TeeDestination(Destination destination0, Destination destination1)` Create a TeeDestination: a destination which copies everything that is sent to it to two separate destinations

Method Summary
`void` | `close()` Close the destination, allowing resources to be released.
`Receiver` | `getReceiver(Configuration config)` Return a Receiver.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TeeDestination

    public TeeDestination(Destination destination0,
                          Destination destination1)

  Create a TeeDestination: a destination which copies everything that is sent to it to two separate destinations

  Parameters:
    `destination0` - the first destination
    `destination1` - the second destination

Method Detail

### getReceiver

    public Receiver getReceiver(Configuration config)
                         throws SaxonApiException

  Return a Receiver. Saxon calls this method to obtain a Receiver, to which it then sends a sequence of events representing the content of an XML document.

  Specified by:
    `getReceiver` in interface `Destination`
  Parameters:
    `config` - The Saxon configuration. This is supplied so that the destination can use information from the configuration (for example, a reference to the name pool) to construct or configure the returned Receiver.
  Returns:
    the Receiver to which events are to be sent. It is the caller's responsibility to initialize this Receiver with a `PipelineConfiguration` before calling its `open()` method.
  Throws:
    `SaxonApiException` - if the Receiver cannot be created

### close

    public void close()
               throws SaxonApiException

  Close the destination, allowing resources to be released. Saxon calls this method when it has finished writing to the destination.

  Specified by:
    `close` in interface `Destination`
  Throws:
    `SaxonApiException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.